---
title: Date.prototype.setUTCMonth()
slug: Web/JavaScript/Reference/Global_Objects/Date/setUTCMonth
tags:
  - Date
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>setUTCMonth()</code></strong> method sets the month for a specified date according to universal time.</p>

<div>{{EmbedInteractiveExample("pages/js/date-setutcmonth.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateObj</var>.setUTCMonth(<var>monthValue</var>[, <var>dayValue</var>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>monthValue</var></code></dt>
 <dd>An integer between 0 and 11, representing the months January through December.</dd>
 <dt><code><var>dayValue</var></code></dt>
 <dd>Optional. An integer from 1 to 31, representing the day of the month.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The number of milliseconds between 1 January 1970 00:00:00 UTC and the updated date.</p>

<h2 id="Description">Description</h2>

<p>If you do not specify the <code>dayValue</code> parameter, the value returned from the {{jsxref("Date.prototype.getUTCDate()", "getUTCDate()")}} method is used.</p>

<p>If a parameter you specify is outside of the expected range, <code>setUTCMonth()</code> attempts to update the date information in the {{jsxref("Date")}} object accordingly. For example, if you use 15 for <code>monthValue</code>, the year will be incremented by 1, and 3 will be used for month.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_setUTCMonth">Using setUTCMonth()</h3>

<pre class="brush: js notranslate">var theBigDay = new Date();
theBigDay.setUTCMonth(11);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.setutcmonth', 'Date.prototype.setUTCMonth')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Date.setUTCMonth")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date.prototype.getUTCMonth()")}}</li>
 <li>{{jsxref("Date.prototype.setMonth()")}}</li>
</ul>
